using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IO;

namespace HaloPlugins
{
    public class InfoBlock : IMetaNode
    {
        string Info = "";

        public InfoBlock(string Info)
        {
            this.Info = Info;
        }

        #region MetaNode Members

        public void Read(EndianReader br)
        {
        }

        public void Read(EndianReader br, int Magic)
        {
        }

        public void Write(EndianWriter bw)
        {
        }

        public object GetValue()
        {
            return Info;
        }

        public void SetValue(object Value)
        {
        }

        public int GetSize()
        {
            return 0;
        }

        public void Compile(EndianWriter bw, int Magic)
        {
        }

        public void Decompile(EndianWriter bw, int Magic)
        {
        }

        public string GetName()
        {
            return "InfoBlock";
        }

        #endregion

        #region ICloneable Members

        public object Clone()
        {
            return new InfoBlock(this.Info);
        }

        #endregion

        #region ToString

        public override string ToString()
        {
            return "InfoBlock: " + Info;
        }

        #endregion
    }
}
